/* BEGIN STYLESHEET */
/* Direct stylesheet authoring is an advanced feature. Knowledge of CSS required.*/


.apexChart-tooltip {
	position: relative;
	border: 1px solid #ced4da;
     border-radius: 4px;
     padding: 5 px;
}


.apexChart-tooltip-header {
	background: #C8C8C8;
	padding: 10px;
}


.apexChart_tooltip_pen {
	white-space: pre-wrap;
	word-break: break-word;
}


.apexChart-tooltip-pen {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	wrap: nowrap;
	word-break: break-word;
	white-space: pre-wrap;
	margin: 15px 0px;
}

.apexChart-tooltip-marker {
	height: 12px;
	width: 12px;
	position: relative;
	border-radius: 50%;
	margin: 0px 10px;
	flex: 0 0 auto;
}

.apexChart-tooltip-text {
	flex: 1 1 auto;
}

.apexChart-tooltip-value {
	font-weight: bold;
	flex: 0 0 auto;
	margin-right: 5px;
	margin-left: 15px;
}



.arrow_box {
    position: relative;
    background: red;
    border: 1px solid #ced4da;
    padding: 10px;
    border-radius: 4px;
    box-shadow: 2px 2px 7px rgba(0,0,0,0.1);
}
.arrow_box:after {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    border: 10px solid transparent;
    border-top-color: #f8f9fa;
    border-bottom: 0;
    border-left: 0;
    margin-left: -5px;
    top: 100%;
    left: 50%;
}




/*################################################
General styling functions & media queries
################################################*/

/* Spinner animation for loading symbol on loading screens */
@keyframes spinner {
    0% {transform: rotate(0deg);}
    100% {transform: rotate(360deg); }
}

/* Hide handles when card view is active
   Codition 2 is for mobile devices <600px */
@media (orientation: portrait), (orientation: landscape) and (max-width: 600px)  {
    .ia_dockedView__handle {
        display: none !important;
    }
}


.psc-textAlarmActive {
	animation: alarmBlinking 1s infinite alternate;
}
@keyframes alarmBlinking {
	0% {
		color: #000000;
		fill: #000000;
	}
	100% {
		color: #FF0000;
		fill: #FF0000;
	}
}


.psc-headerBorderNotInUse {
	
}


.psc-scrollable {
	box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px inset;
}


/*################################################
Menu styling
################################################*/
.psc-menuVertical {
	background-color: var(--neutral-30);
	border: 1px solid var(--neutral-60);
}

.psc-header {
	/*font-size: calc(6px + 0.5vh + 0.5vw);*/
	font-size: calc(16px + 0.1vh + 0.1vw);
	background-color: #DCDCDC;
	border-top: 1px solid var(--neutral-60);
	border-bottom: 1px solid var(--neutral-60);
}

.psc-page {
	background-color: #C8C8C8;
}

.psc-headerText {
	
}


/*################################################
Component styling
################################################*/

.psc-paramText {
	font-size: calc(16px + 0.1vh + 0.1vw);
	min-height: 32px;
	/*font-size: 16px;*/
	white-space: pre-wrap;
	word-break: break-word;
}

.psc-paramHeader {
	font-size: calc(24px + 0.1vh + 0.1vw);
	min-height: 40px;
	font-weight: bold;
}

.psc-paramSubHeader {
	font-size: calc(16px + 0.1vh + 0.1vw);
	min-height: 32px;
	font-weight: bold;
}


/*Draw a custom border around numeric entry fields to encompass unit*/
.psc-paramEntryFieldValue {
	border: 0.1vmin solid #A0A0A0;
	border-right: none;
}

.psc-paramEntryFieldUnit {
	background-color: #FFFFFF;
	border: 0.1vmin solid #A0A0A0;
	border-left: none;
}

.psc-screenText {
	font-size: 1.0em;
	color: blue;
}


/*################################################
Card view
################################################*/

/* Card view styling */
.psc-darkModeNotInUse {
	color: white;
	background-color: black;
}

.psc-cardRepeaterNotInUse {

}

.psc-cardInstanceNotInUse {

}

.psc-card {
	/*color: white;
	background-color: black;*/
	/*min-height: 10vh;*/
	border: 0.1vh solid black;
}

.psc-cardHeaderNotInUse {
	/*background-color: black;*/
	font-size: calc(10px + 1vh + 1vw);
}

.psc-cardButtonNotInUse {
	/*aspect-ratio: 1 / 1;
	min-width: max(10%, 10vw);*/
	position: relative;
	top: 0;
	height: calc(20px + 2vh + 2vw);
	width: calc(20px + 2vh + 2vw);
}

.psc-cardContentNotInUse {
	/*background-color: gray;*/
	font-size: calc(6px + 1.1vh + 1.1vw);
}


.psc-cardDockNotInUse {
	
}




/*################################################
Base Ignition component style overrides
################################################*/


/*Unset default font size of accordion headers*/
.ia_accordionComponent__header__text {
	font-size:unset;
}


/* BEGIN STYLE CLASSES */
.psc-CardView\/Cards\/Content {
  font-size: 1em;
}

.psc-CardView\/Cards\/Header {
  font-size: 1em;
}

.psc-CardView\/Details\/Content {
  font-size: 1em;
}

.psc-CardView\/Details\/Header {
  font-size: 1em;
  font-weight: bold;
}

.psc-CardView\/TestColor {
  color: #3DE026;
}

.psc-CardView\/Views\/PageHeader {
  font-size: 1.5em;
  font-weight: bold;
}

.psc-Header\/DropDown {
  background-color: var(--neutral-10);
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  color: var(--neutral-100);
  margin-bottom: 10px;
  margin-top: 10px;
}

.psc-Header\/Header {
  background-color: #003E69;
  color: #E7F5FF;
  font-size: 14px;
  line-height: 17px;
  fill: #FFFFFF;
}

.psc-Header\/Header2 {
  background-color: #DCDCDC;
  color: #000000;
  font-size: 14px;
  line-height: 17px;
  fill: #FFFFFF;
}

.psc-Header\/Icon {
  fill: #FFFFFF;
}

.psc-Menu\/All_Header {
  background-color: var(--neutral-80);
  color: var(--neutral-10);
  font-size: 14px;
  font-weight: bold;
  line-height: 17px;
  text-transform: none;
}

.psc-Menu\/Hover {
}
.psc-Menu\/Hover:hover {
  background-color: #C2C2C2;
}

.psc-Menu\/Item_Horizontal {
  background-color: unset;
  color: #FFFFFF;
  font-size: 14px;
  line-height: 16px;
  text-transform: uppercase;
}
.psc-Menu\/Item_Horizontal:hover {
  background-color: #0D72B633;
}

.psc-Menu\/Item_Vertical {
  background-color: #C8C8C8;
  border-bottom-style: none;
  border-top-color: var(--neutral-60);
  border-top-style: solid;
  border-top-width: 1px;
  color: var(--neutral-80);
  font-size: 14px;
  line-height: 16px;
  text-transform: uppercase;
}
.psc-Menu\/Item_Vertical:last-child {
  border-bottom-color: var(--neutral-60);
  border-bottom-style: solid;
  border-bottom-width: 1px;
}
.psc-Menu\/Item_Vertical:hover {
  background-color: #808080;
}

.psc-Menu\/Item_Vertical_2 {
  background-color: var(--neutral-20);
  border-bottom-color: var(--neutral-60);
  border-bottom-style: none;
  border-bottom-width: 1px;
  border-top-color: var(--neutral-60);
  border-top-style: solid;
  border-top-width: 1px;
  color: var(--neutral-80);
  font-size: 14px;
  line-height: 16px;
}
.psc-Menu\/Item_Vertical_2:last-child {
  border-bottom-color: var(--neutral-60);
}
.psc-Menu\/Item_Vertical_2:hover {
  background-color: var(--callToActionHighlight);
}

.psc-Menu\/Menu_Horizontal {
  background-color: #00000000;
  border-style: none;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  color: #FFFFFF;
}

.psc-Menu\/Menu_Vertical {
  background-color: var(--neutral-30);
  border-bottom-color: var(--neutral-60);
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-left-color: var(--neutral-60);
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: var(--neutral-60);
  border-right-style: solid;
  border-right-width: 1px;
  border-top-color: var(--neutral-60);
  border-top-style: solid;
  border-top-width: 1px;
}

.psc-Menu\/Small_Menu_Vertical {
  background-color: var(--neutral-30);
  border-bottom-color: var(--neutral-60);
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-left-color: var(--neutral-60);
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: var(--neutral-60);
  border-right-style: solid;
  border-right-width: 1px;
  border-top-color: var(--neutral-60);
  border-top-style: solid;
  border-top-width: 1px;
  font-size: clamp(6px, 0.5(1.0vmin + 1.0vmax), 20px);
}

.psc-Objects\/BorderBackground {
  background-color: #FFFFFF;
  border-color: #000000;
  border-style: solid;
  border-width: 1px;
}

.psc-Objects\/HoverBackground {
}
.psc-Objects\/HoverBackground:hover {
  background-color: #C2C2C2;
}

.psc-Objects\/HoverFill {
}
.psc-Objects\/HoverFill:hover {
  fill: #C2C2C2;
}

.psc-Objects\/LargeScreens\/DisplayPath_Vmin {
  font-size: 1vmin;
  line-height: 1vmin;
  white-space: pre-line;
}

.psc-Objects\/LargeScreens\/NumericDisplays {
  font-size: 1vmin;
  line-height: 1vmin;
  white-space: pre-line;
}

.psc-Objects\/LargeScreens\/ObjectTitle {
  font-size: 1.1vmin;
  font-weight: bold;
  line-height: 1vmin;
  text-align: center;
  white-space: pre-line;
}

.psc-Objects\/LargeScreens\/bigText {
  font-size: 1.1vmin;
  line-height: 1.15vmin;
  white-space: pre-line;
}

.psc-Objects\/LargeScreens\/biggerText {
  font-size: 1.2vmin;
  line-height: 1.25vmin;
  white-space: pre-line;
}

.psc-Objects\/LargeScreens\/smallText {
  font-size: 0.8vmin;
  line-height: 1vmin;
  white-space: pre-line;
}

.psc-Objects\/Parameters\/EntryFieldMain {
  border-bottom-color: #A0A0A0;
  border-bottom-style: solid;
  border-bottom-width: 0.1vmin;
  border-left-color: #A0A0A0;
  border-left-style: solid;
  border-left-width: 0.1vmin;
  border-right-style: none;
  border-top-color: #A0A0A0;
  border-top-style: solid;
  border-top-width: 0.1vmin;
}

.psc-Objects\/Parameters\/EntryFieldUnit {
  background-color: #FFFFFF;
  border-bottom-color: #A0A0A0;
  border-bottom-style: solid;
  border-bottom-width: 0.1vmin;
  border-right-color: #A0A0A0;
  border-right-style: solid;
  border-right-width: 0.1vmin;
  border-top-color: #A0A0A0;
  border-top-style: solid;
  border-top-width: 0.1vmin;
}

.psc-Objects\/Parameters\/Paragraph {
  font-size: 16px;
}

.psc-Objects\/Parameters\/Title_H1 {
  font-size: 28px;
  font-weight: bold;
  text-align: center;
}

.psc-Objects\/Parameters\/Title_H2 {
  font-size: 26px;
  font-weight: bold;
  text-align: center;
}

.psc-Objects\/Parameters\/Title_H3 {
  font-size: 24px;
  font-weight: bold;
  text-align: center;
}

.psc-Objects\/Parameters\/Title_H4 {
  font-size: 22px;
  font-weight: bold;
  text-align: center;
}

.psc-Objects\/Parameters\/Title_H5 {
  font-size: 20px;
  font-weight: bold;
  text-align: center;
}

.psc-Objects\/Parameters\/Title_H6 {
  font-size: 18px;
  font-weight: bold;
  text-align: center;
}

.psc-Objects\/Parameters\/Title_H7 {
  font-size: 16px;
  font-weight: bold;
  text-align: center;
}

.psc-Objects\/SmallScreens\/Text {
  font-size: 16px;
  line-height: 22px;
  white-space: pre-line;
}

.psc-Objects\/SmallScreens\/Title {
  font-size: 20px;
  font-weight: bold;
  line-height: 28px;
  text-align: center;
  white-space: pre-line;
}

.psc-Objects\/Text {
  font-size: 1vmin;
  line-height: 1vmin;
  white-space: pre-line;
}

.psc-Objects\/sensorBox {
  border-color: #808080;
  border-style: solid;
  border-width: 0.1vmin;
  font-size: 1vmin;
}

.psc-Page\/Alarm\/Alarm {
  border-bottom-style: none;
  border-left-color: var(--neutral-40);
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: var(--neutral-40);
  border-right-style: solid;
  border-right-width: 1px;
  border-top-style: none;
}

.psc-Page\/Alarm\/Page {
  background-color: var(--neutral-20);
}

.psc-Page\/Background {
  background-color: #C8C8C8;
}

.psc-Page\/Bold {
  font-weight: bold;
}

.psc-Page\/Drawings\/Heatpump {
  background-color: #C8C8C8;
  border-color: #000000;
  border-style: solid;
  font-weight: bold;
  text-align: center;
}

.psc-Page\/EntryFieldMain {
  border-bottom-color: #A0A0A0;
  border-bottom-style: solid;
  border-bottom-width: 0.1vmin;
  border-left-color: #A0A0A0;
  border-left-style: solid;
  border-left-width: 0.1vmin;
  border-right-style: none;
  border-top-color: #A0A0A0;
  border-top-style: solid;
  border-top-width: 0.1vmin;
}

.psc-Page\/EntryFieldUnit {
  background-color: #FFFFFF;
  border-bottom-color: #A0A0A0;
  border-bottom-style: solid;
  border-bottom-width: 0.1vmin;
  border-right-color: #A0A0A0;
  border-right-style: solid;
  border-right-width: 0.1vmin;
  border-top-color: #A0A0A0;
  border-top-style: solid;
  border-top-width: 0.1vmin;
}

.psc-Page\/Margins {
  margin-left: 12px;
  margin-right: 12px;
}

.psc-Page\/Page {
  background-color: #C8C8C8;
  font-size: 14px;
  line-height: 20px;
}

.psc-Page\/Pipes\/Air {
  background-color: #B2B2B2;
  color: #FFFFFF00;
  line-height: 5px;
}

.psc-Page\/Pipes\/AirHorizontal {
  background-color: #B2B2B2;
  border-bottom-color: #989898;
  border-bottom-style: none;
  border-bottom-width: 1px;
  border-top-color: #989898;
  border-top-style: none;
  border-top-width: 1px;
}

.psc-Page\/Pipes\/AirVertical {
  background-color: #B2B2B2;
  border-bottom-style: none;
  border-left-color: #989898;
  border-left-style: none;
  border-left-width: 1px;
  border-right-color: #989898;
  border-right-style: none;
  border-right-width: 1px;
  border-top-style: none;
}

.psc-Page\/Pipes\/Lye {
  background-color: #51513F;
  color: #FFFFFF00;
  line-height: 5px;
}

.psc-Page\/Pipes\/Sludge {
  background-color: #3F3F3F;
  color: #FFFFFF00;
  line-height: 5px;
}

.psc-Page\/Pipes\/SludgeHorizontal {
  background-color: #808080;
  border-bottom-color: #3F3F3F;
  border-bottom-style: none;
  border-bottom-width: 1px;
  border-top-color: #3F3F3F;
  border-top-style: none;
  border-top-width: 1px;
}

.psc-Page\/Pipes\/SludgeVertical {
  background-color: #808080;
  border-bottom-style: none;
  border-left-color: #3F3F3F;
  border-left-style: none;
  border-left-width: 1px;
  border-right-color: #3F3F3F;
  border-right-style: none;
  border-right-width: 1px;
  border-top-style: none;
}

.psc-Page\/Pipes\/Water {
  background-color: #9E9E9E;
  color: #FFFFFF00;
  line-height: 5px;
}

.psc-Page\/Pipes\/Water2 {
  background-color: #A8A8A8;
  color: #FFFFFF00;
  line-height: 5px;
}

.psc-Page\/Pipes\/WaterHorizontal {
  background-color: #9E9E9E;
  border-bottom-color: #3F3F3F;
  border-bottom-style: none;
  border-bottom-width: 1px;
  border-top-color: #3F3F3F;
  border-top-style: none;
  border-top-width: 1px;
}

.psc-Page\/Pipes\/WaterVertical {
  background-color: #9E9E9E;
  border-bottom-style: none;
  border-left-color: #3F3F3F;
  border-left-style: none;
  border-left-width: 1px;
  border-right-color: #3F3F3F;
  border-right-style: none;
  border-right-width: 1px;
  border-top-style: none;
}

.psc-Page\/Text {
  font-size: 1vmin;
  line-height: 1vmin;
}

.psc-Page\/Text_H1 {
  font-size: 1.3vmin;
  line-height: 1.3vmin;
  white-space: pre-line;
}

.psc-Page\/Text_H2 {
  font-size: 1.2vmin;
  line-height: 1.2vmin;
}

.psc-Page\/Text_H3 {
  font-size: 1.1vmin;
  line-height: 1.1vmin;
}

.psc-Page\/Text_H4 {
  font-size: 1vmin;
}

.psc-Page\/Text_H5 {
  font-size: 0.9vmin;
}

.psc-Page\/Text_H6 {
  font-size: 0.8vmin;
}

.psc-RightDock\/Icon {
}
@keyframes psc-RightDock\/Icon-0-anim {
  0% {
    background-color: #D22222;
  }
  100% {
    background-color: #000000;
  }
}
@media (hover: ) {
  .psc-RightDock\/Icon {
    animation-name: psc-RightDock\/Icon-0-anim;
    animation-delay: 0s;
    animation-direction: alternate;
    animation-duration: 2s;
    animation-fill-mode: both;
    animation-iteration-count: 1;
    animation-timing-function: linear;
  }
}

.psc-RosterManagement\/Buttons\/Removal {
  background-color: #FF0000;
}

.psc-RosterManagement\/Header {
  background-color: #2B2B2B;
  color: #FFFFFF;
  font-family: Arial;
  font-size: 20px;
  font-weight: lighter;
  text-align: start;
  text-indent: 6px;
}

.psc-RosterManagement\/Icons {
  cursor: pointer;
  margin-top: 5px;
}

.psc-RosterManagement\/Tables {
  border-style: solid;
  border-width: 1px;
  margin: 10px;
  margin-right: 0px;
}

.psc-ScheduleManagement\/Headers {
  background-color: #2B2B2B;
  color: #FFFFFF;
  font-family: Arial;
  font-size: 20px;
  font-weight: lighter;
  text-align: start;
  text-indent: 6px;
}

.psc-ScheduleManagement\/InputFont {
  font-family: Arial;
  font-size: 14px;
}

.psc-ScheduleManagement\/LeftVerticalHeaderBar {
  border-left-color: #4A4A4A63;
  border-left-style: solid;
  border-left-width: 1px;
}

.psc-ScheduleManagement\/SectionHeaders {
  font-family: Arial;
  font-size: 15px;
  margin-bottom: 2px;
}

.psc-ScheduleManagement\/TableIcons {
  cursor: pointer;
  margin-bottom: 1px;
  margin-top: 5px;
}

.psc-Title\/Icon {
  fill: var(--neutral-90);
}

.psc-Title\/Text {
  color: var(--neutral-90);
  font-size: 0.9vmax;
  font-weight: bold;
  margin-left: 6px;
  fill: var(--neutral-90);
}

.psc-Title\/Title {
  background-color: #DCDCDC;
  border-bottom-color: var(--neutral-60);
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-top-color: var(--neutral-60);
  border-top-style: solid;
  border-top-width: 1px;
}

.psc-UserManagement\/Headers {
  background-color: #2B2B2B;
  color: #FFFFFF;
  font-family: Arial;
  font-size: 20px;
  font-weight: lighter;
  text-align: start;
  text-indent: 6px;
}

.psc-UserManagement\/InputFont {
  font-family: Arial;
  font-size: 14px;
}

.psc-UserManagement\/LeftVerticalHeaderBar {
  border-left-color: #4A4A4A63;
  border-left-style: solid;
  border-left-width: 1px;
}

.psc-UserManagement\/SectionHeaders {
  font-family: Arial;
  font-size: 15px;
  margin-bottom: 9px;
}

.psc-UserManagement\/TableEditorIcons {
  cursor: pointer;
  margin-bottom: 1px;
  margin-top: 5px;
}

.psc-ZZZ_TestsToBeDeleted\/NewStyle {
}
.psc-ZZZ_TestsToBeDeleted\/NewStyle:hover {
  box-shadow: 0px 10px  skyblue;
}

@keyframes psc-Header\/Alarm_Active-anim {
  0% {
    color: #000000;
    fill: #000000;
  }
  100% {
    color: #FF0000;
    fill: #FF0000;
  }
}
.psc-Header\/Alarm_Active {
  animation-name: psc-Header\/Alarm_Active-anim;
  animation-delay: 1s;
  animation-direction: alternate;
  animation-duration: 1s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

@keyframes psc-Objects\/RedBlink-anim {
  0% {
    fill: #000000;
  }
  100% {
    fill: #FF0000;
  }
}
.psc-Objects\/RedBlink {
  animation-name: psc-Objects\/RedBlink-anim;
  animation-delay: 0s;
  animation-direction: alternate;
  animation-duration: 0.8s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
  animation-timing-function: cubic-bezier(0.68, -1, 0.265, 1.55);
}

@keyframes psc-Objects\/RedGreenBlink-anim {
  0% {
    fill: #FF0000;
  }
  41% {
    fill: #11A811;
  }
  60% {
    fill: #11A811;
  }
  100% {
    fill: #FF0000;
  }
}
.psc-Objects\/RedGreenBlink {
  animation-name: psc-Objects\/RedGreenBlink-anim;
  animation-delay: 0s;
  animation-direction: normal;
  animation-duration: 2.5s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
  animation-timing-function: ease;
}
